--[[
Lua for the minimap button of EasyShards
]]--

-- Declare minimap saved variable
ESMiniMap_Settings = {
	["MinimapPos"] = -20
}

-- Declare minimap defaults
local ESMiniMap_defaultSettings = {
	["MinimapPos"] = -20
}

function ES_MinimapButton_Reposition()
	ES_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(ESMiniMap_Settings["MinimapPos"])),(80*sin(ESMiniMap_Settings["MinimapPos"]))-52)
end


function ES_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70 -- get coordinates as differences from the center of the minimap
	ypos = ypos/UIParent:GetScale()-ymin-70

	ESMiniMap_Settings["MinimapPos"] = math.deg(math.atan2(ypos,xpos)) -- save the degrees we are relative to the minimap center
	ES_MinimapButton_Reposition() -- move the button
end


 function ESMiniMap_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED"); 
 end
 

 function ESMiniMap_OnEvent()
	-- VARIABLES_LOADED event
	if ( event == "VARIABLES_LOADED" ) then
		-- execute event code in this function
		ES_MinimapButton_Reposition()
	end
 end
 
ES_Minimap_Button_OnEnter = function()
	local text;
	if ( GameTooltip.lmmbfinished ) then
		return;
	end
	GameTooltip.lmmbfinished = 1;
	GameTooltip:SetOwner(ES_MinimapButton, "ANCHOR_TOP");
	if (ES_Settings["RightClick"] == "clearshards") then
		text = "EasyShards|n______ |n|nLeft click to open the menu. |nRight click to clear shards. |nClick and drag to move Minimap Button.";
	elseif (ES_Settings["RightClick"] == "deleteshard") then
		text = "EasyShards|n______ |n|nLeft click to open the menu. |nRight click to delete a shard. |nClick and drag to move the Minimap Button.";
	else
		text = "EasyShards|n______ |n|nLeft click to open the menu. |nClick and drag to move the Minimap Button.";
	end
	GameTooltip:AddLine(text,.8,.8,.8,1);
	GameTooltip:Show();
end

ES_Minimap_Button_OnLeave = function()
	GameTooltip:Hide();
	GameTooltip.lmmbfinished = nil;
end


function ES_MinimapButton_OnClick(button)
	if ( button == "RightButton" ) then
		ES_rightClick()
	else
		EMLFrame_Toggle("ES1")
	end
end
-- End of code`