-- LibDataBroker Support for EasyShards
assert(LibStub, "ESLDB requires LibStub")
assert(LibStub:GetLibrary("LibDataBroker-1.1"), "ESLDB requires LibDataBroker-1.1")

local brokertext  = "EasyShards";
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local estext = "Left click to open the menu. |nRight click to clear excess shards or delete a single shard.";

function ESLDB_OnLoad()
	ESbroker = ldb:NewDataObject(brokertext, {
		type = "launcher",
		label = brokertext,
		icon = "Interface\\Icons\\INV_Misc_Gem_Amethyst_02",
		OnClick = function(self, button)
			if button == "LeftButton" then
				EMLFrame_Toggle("ES1")
			elseif button == "RightButton" then
				ES_rightClick()
			end
		end,
		OnEnter = function(self)
			GameTooltip:SetOwner(self, "ANCHOR_CURSOR")
			GameTooltip:ClearLines()
			GameTooltip:AddLine(brokertext,0,1,0)
			GameTooltip:AddLine("------------------------------------",0.8,0.8,1)
			GameTooltip:AddLine(estext,1,1,1)
			GameTooltip:Show()
		end,
		OnLeave = function()
			GameTooltip:Hide()
		end,
	})
end
-- End of code